%define upstream_name    String-Compare-ConstantTime
%define upstream_version 0.311

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Timing side-channel protected string compare
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module provides one function, 'equals' (not exported by default).

You should pass this function two strings of the same length. It will
return true if they are string-wise identical and false otherwise, just
like 'eq'. However, comparing any two differing strings will take a fixed
amount of time, unlike 'eq'.

*NOTE*: If the lengths of the strings are different, 'equals' will return
false right away. Also, comparing two identical strings will take a
different amount of time than comparing two differing strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.311.0-3pclos2017
- rebuild against updates

